import java.util.Date;

/**
 * Пример использования функции format
 * */
public class Main {
    public static void main(String[] args) {
        /*Формируем шаблон*/
        String template = "%d.%d.%d %d:%d:%d";
        Date date = new Date();


        int day = date.getDate(); /*Получаем текущий день*/
        int month = date.getMonth() + 1; /*Получаем месяц. Нумерация начинается с 0*/
        int year = date.getYear() + 1900; /*Получаем год. Для получения года нужно добавить 1900*/

        int hours = date.getHours(); /*Получаем количество часов*/
        int minutes = date.getMinutes(); /*Получаем количество минут*/
        int seconds = date.getSeconds(); /*Получаем количество секунд*/

        /*Формируем строку с помощью шаблона и выводим ее на экран*/
        String ans = String.format(template, day, month, year, hours, minutes, seconds);
        System.out.println(ans);
    }
}
